# Stackdriver Logging API . organizations . logs

## Instance Methods

Deletes all the log entries in a log. The log reappears if it receives new entries.

Lists the logs in projects or organizations. Only logs that have entries are listed.

Retrieves the next page of results.

### Method Details

`delete(logName=None, x__xgafv=None)`

    Deletes all the log entries in a log. The log reappears if it receives new entries.

    Args:
      logName: string, Required. The resource name of the log to delete:
    "projects/[PROJECT_ID]/logs/[LOG_ID]"
    "organizations/[ORGANIZATION_ID]/logs/[LOG_ID]"
    [LOG_ID] must be URL-encoded. For example, "projects/my-project-id/logs/syslog", "organizations/1234567890/logs/cloudresourcemanager.googleapis.com%2Factivity". For more information about log names, see LogEntry. (required)
      x__xgafv: string, V1 error format.
        Allowed values
          1 - v1 error format
          2 - v2 error format

    Returns:
      An object of the form:

        { # A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance:
          # service Foo {
          #   rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty);
          # }
          # The JSON representation for Empty is empty JSON object {}.
      }

`list(parent=None, pageToken=None, x__xgafv=None, pageSize=None)`

    Lists the logs in projects or organizations. Only logs that have entries are listed.

    Args:
      parent: string, Required. The resource name that owns the logs:
    "projects/[PROJECT_ID]"
    "organizations/[ORGANIZATION_ID]"
     (required)
      pageToken: string, Optional. If present, then retrieve the next batch of results from the preceding call to this method. pageToken must be the value of nextPageToken from the previous response. The values of other method parameters should be identical to those in the previous call.
      x__xgafv: string, V1 error format.
        Allowed values
          1 - v1 error format
          2 - v2 error format
      pageSize: integer, Optional. The maximum number of results to return from this request. Non-positive values are ignored. The presence of nextPageToken in the response indicates that more results might be available.

    Returns:
      An object of the form:

        { # Result returned from ListLogs.
        "nextPageToken": "A String", # If there might be more results than those appearing in this response, then nextPageToken is included. To get the next set of results, call this method again using the value of nextPageToken as pageToken.
        "logNames": [ # A list of log names. For example, "projects/my-project/syslog" or "organizations/123/cloudresourcemanager.googleapis.com%2Factivity".
          "A String",
        ],
      }

`list_next(previous_request, previous_response)`

    Retrieves the next page of results.

    Args:
      previous_request: The request for the previous page. (required)
      previous_response: The response from the request for the previous page. (required)

    Returns:
      A request object that you can call 'execute()' on to request the next
      page. Returns None if there are no more items in the collection.